summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2022-06-23 16:06:47 +0200
committerRemi Collet <remi@php.net>2022-06-23 16:06:47 +0200
commite034c42bf0fdee732233b954cb97e11ab11a6732 (patch)
treee6433327dcac973db7a7a24a69372eddd895b7ec
parent1c77bec93636bf8ea8d71976b8dd5da07455e747 (diff)
drop dependency on container-interop/container-interopHEADmaster
replaced by servicemanager >= 3.12
-rw-r--r--php-laminas-mvc-i18n.spec21
1 files changed, 10 insertions, 11 deletions
diff --git a/php-laminas-mvc-i18n.spec b/php-laminas-mvc-i18n.spec
index b0832b7..5b681fa 100644
--- a/php-laminas-mvc-i18n.spec
+++ b/php-laminas-mvc-i18n.spec
@@ -24,7 +24,7 @@
Name: php-%{gh_project}
Version: 1.3.1
-Release: 1%{?dist}
+Release: 2%{?dist}
Summary: %{namespace} Framework %{library}/%{subproj} component
License: BSD
@@ -40,10 +40,9 @@ BuildRequires: php-intl
BuildRequires: php-spl
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-composer(container-interop/container-interop) >= 1.1 with php-composer(container-interop/container-interop) < 2)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.11 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.0 with php-autoloader(%{gh_owner}/laminas-router) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.6 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.12 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.14 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.2 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
@@ -53,9 +52,8 @@ BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.2
# "psalm/plugin-phpunit": "^0.15.1",
# "vimeo/psalm": "^4.7"
BuildRequires: (php-composer(phpspec/prophecy-phpunit) >= 2.0 with php-composer(phpspec/prophecy-phpunit) < 3)
-# remirepo:10
+# remirepo:9
%else
-BuildRequires: php-container-interop
BuildRequires: php-laminas-i18n
BuildRequires: php-laminas-router
BuildRequires: php-laminas-servicemanager
@@ -81,10 +79,9 @@ BuildRequires: php-fedora-autoloader-devel
Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-composer(container-interop/container-interop) >= 1.1 with php-composer(container-interop/container-interop) < 2)
Requires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.11 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-router) >= 3.0 with php-autoloader(%{gh_owner}/laminas-router) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.6 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.12 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.3 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
Requires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.14 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.2 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
@@ -92,9 +89,8 @@ Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.2
# "laminas/laminas-cache": "To enable caching of translation strings"
Suggests: php-autoloader(%{gh_owner}/laminas-cache)
-# remirepo:9
+# remirepo:8
%else
-Requires: php-container-interop
Requires: php-laminas-i18n
Requires: php-laminas-router
Requires: php-laminas-servicemanager
@@ -141,10 +137,9 @@ mv LICENSE.md LICENSE
phpab --template fedora --output src/autoload.php src
cat << 'EOF' | tee -a src/autoload.php
\Fedora\Autoloader\Dependencies::required([
- '%{php_home}/Interop/Container/autoload.php',
+ '%{php_home}/%{namespace}/ServiceManager/autoload.php',
'%{php_home}/%{namespace}/I18n/autoload.php',
'%{php_home}/%{namespace}/Router/autoload.php',
- '%{php_home}/%{namespace}/ServiceManager/autoload.php',
'%{php_home}/%{namespace}/Stdlib/autoload.php',
'%{php_home}/%{namespace}/Validator/autoload.php',
]);
@@ -218,6 +213,10 @@ exit $ret
%changelog
+* Thu Jun 23 2022 Remi Collet <remi@remirepo.net> - 1.3.1-2
+- drop dependency on container-interop/container-interop
+ replaced by servicemanager >= 3.12
+
* Fri Feb 25 2022 Remi Collet <remi@remirepo.net> - 1.3.1-1
- update to 1.3.1 (no change)